<template>
  <div class="home-path">
    <!-- {{ post }} -->
    <!-- <router-link :to="{ path: '/' }">Home</router-link> -->
    <div class="blog-title-card">
      <div class="content-wrap">
        <div class="blog-content">
          <h1 class="content-text">{{ post.title }}</h1>
        </div>
      </div>
    </div>
    <div class="blog-section">
      <div class="blog-content-section">
        <div v-html="getContent">
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { GET_POST_QUERY } from '@/graphql/queries/userQueries'
export default {
  data() {
    return {
      post: {}
    }
  },
  metaInfo () {
    return {
      title: this.$route.params.id,
      link: [{
        rel: 'canonical',
        href: 'https://www.thecsquare.net/blog/' + this.$route.params.id
      }],
      meta: [
        {
          name: 'description',
          content: this.getContent.slice(0, 100)
        },
        {
          name: 'og:title',
          content: this.$route.params.id
        },
        {
          name: 'og:url',
          content: 'https://www.thecsquare.net/blog/' + this.$route.params.id
        },
        {
          name: 'og:description',
          content: this.getContent.slice(0, 100)
        },
        {
          name: 'og:site_name',
          content: 'The CSQUARE'
        },
        {
          name: 'twitter:creator',
          content: 'The CSqurew'
        },
        {
          name: 'twitter:title',
          content: this.$route.params.id
        },
        {
          name: 'twitter:description',
          content: this.getContent.slice(0, 100)
        }

      ],
    }
  },
  computed: {
    getContent() {
      if (this.post.content) {
        return JSON.parse(this.post.content)
      } else {
        return ""
      }
    }
  },
  created() {
    this.getPostData()
  },
  methods: {
    decode(str) {
      return str.replace(/.{3}/g, function(c) {
          return String.fromCharCode(c);
      });
    },
    async getPostData() {
      console.log(this);
      const paramData = this.$route.params.id.split("-")
      const decStr = this.decode(paramData[paramData.length - 1])
      console.log("Decode", decStr);

      const data = await this.$apollo.query(
        {
          query: GET_POST_QUERY,
          variables: {
            id: parseInt(decStr.split("-")[1])
          }
        }
      )
      console.log("data", data);
      this.post = data.data.post
    }
  }
}
</script>

<style scoped>
.home-path {
  text-align: center;
}
@media (min-width: 1400px) {
  .blog-title-card {
    left: 85px;
    width: calc(100% - 170px);
  }
}
.blog-title-card {
  background-color: gray;
  overflow: hidden;
  position: relative;
  border-radius: 10px;
}
@media (max-width: 479px) {
  .content-wrap {
    padding: 40px 38px;
  }
}
@media (min-width: 478px) {
  .content-wrap {
    padding: 60px 0 60px 40px;
  }
}
.content-wrap {
  display: flex;
  margin: auto;
  max-width: 700px;
}
.content-text {
  color: white;
  font-size: 54px;
}
.blog-section {
  position: relative;
  margin: calc(-10vh + 15px) auto 0;
  max-width: 1200px;
  background-color: white;
  border-radius: 20px;
}
.blog-content-section {
  font-size: 19px;
  overflow: visible;
  max-width: 700px;
  margin: 0 auto;
  padding: 60px 85px 120px;
}
</style>